import assert from "assert";

export class AssertionError extends Error{
    constructor(msg:string){
        super(msg);
        this.name = "AssertionError";
    }
}

export function assert(expr: unknown, msg=""): asserts expr{
    if(!expr){
        throw new AssertionError(msg)
    }
}